### Function

# Gio bus_unown_name

since: 2.26

#### Declaration

    void
    g_bus_unown_name (
      guint owner_id
    )

#### Description

Stops owning a name.

Note that there may still be D-Bus traffic to process (relating to owning and unowning the name) in the current thread-default `GMainContext` after this function has returned. You should continue to iterate the `GMainContext` until the `GDestroyNotify` function passed to `g_bus_own_name()` is called, in order to avoid memory leaks through callbacks queued on the `GMainContext` after it’s stopped being iterated.

Available since: 2.26

#### Parameters

`owner_id`

  Type: `guint`

  An identifier obtained from g_bus_own_name().